Skip to main content
POST
Add Permissions
Use this API to add permissions to a user for various resources like organizations, folders, documents, etc.
  • You can add permissions for multiple resources in a single API call.
  • The expiresAt field is optional. If provided, the permission will expire at the given timestamp.
Access Control
  • Set accessRole to viewer (read-only) or editor (read/write) on each resource to define the user’s capabilities for that resource.
  • accessRole can only be set via the v2 Users and Auth Permissions REST APIs. Frontend SDK methods do not accept or change accessRole.
  • Relevant endpoints: /v2/users/add, /v2/users/update, /v2/auth/permissions/add, /v2/auth/generate_token.
  • See the Access Control overview for concepts and detailed guidance.

Endpoint

POST https://api.velt.dev/v2/auth/permissions/add

Headers

x-velt-api-key
string
required
Your API key.
x-velt-auth-token
string
required

Body

data
object
required

Example Requests

1. Add permissions to a specific organization

2. Add permissions to a specific document within an organization

3. Add permissions to a specific folder within an organization

Response

Success Response

Failure Response